# std::ranges::zip_view<Views...>::sentinel<Const>::sentinel

From cppreference.com
< cpp‎ | ranges‎ | zip view‎ | sentinel

/*sentinel*/() = default; | (1) | (since C++23)
constexpr /*sentinel*/( /*sentinel*/<!Const> i ) requires Const && ( std::convertible_to < ranges::sentinel_t <Views>, ranges::sentinel_t </*maybe-const*/<Const, Views>>> && ...); | (2) | (since C++23)

Constructs a sentinel.

1) Default constructor. Value-initializes the underlying tuple of sentinels `end_`.
2) Conversion from /*sentinel*/<false> to /*sentinel*/<true>. Move constructs the underlying tuple of sentinels `end_` with std::move(i.end_).

### Parameters

i | - | a /*sentinel*/<false>

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/zip_view/sentinel/sentinel&oldid=156776"